Subject: bug#32030: 27.0.50; debug-on-signal, void-variable

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jul 2018 17:37:44 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Mon, 02 Jul 2018 01:38:51 -0400
> Cc: [email-masked]
> 
> Brady Trainor <[email-masked]> writes:
> 
> > Reduction? Hmm. Dart-mode is provoking error messages related to
> > jit-lock, and sending them to Messages buffer (the issue from tracker
> > I'm currently reproducing is when dart-mode is applied to a buffer with
> > string interpolation). I was trying to make a minimal broken example
> > more obvious with debugger opening on startup. Maybe we can set that
> > variable closer the moment dart-mode is called, when the trace is
> > preferred.
> 
> If this is getting called from redisplay, I think the debugger might be
> suppressed from that context, even if you set debug-on-signal.

Indeed, because starting a debugger requires redisplay, which will
again signal an error, which will again attempt to enter the debugger,
...